%define octave_pkg_name gnuplot
%define octave_descr_name Gnuplot
Name: octave-%octave_pkg_name
Version: 1.0.1
Release: alt2.M70T.1
Summary: Gnuplot wrappers for octave

Group: Sciences/Mathematics
License: GPL version 2 or later
URL: http://octave.sf.net

Source0: %octave_pkg_name-%version.tar.gz

BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel
%else
BuildArch: noarch
%endif

# SystemRequirements: gnuplot (>= 4.0)
BuildRequires: gnuplot >= 4.0
# Depends: octave (>= 3.0.0)
Requires: octave >= 3.0.0
Provides: octave(gnuplot) = 1.0.1


%description
Octave-Forge - Extra packages for GNU Octave.
This package contains the %octave_descr_name GNU Octave extension.

Extension Description:
Scripts to save data in gnuplot-readable formats,

%prep
%setup -n %octave_pkg_name

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps %octave_pkg_name-%version.tar.gz"

%files
%_datadir/octave/packages/%octave_pkg_name-%version
%if_with _octave_arch
%_libdir/octave/packages/%octave_pkg_name-%version
%endif

%changelog
* Sun Aug 23 2015 Cronport Service <cronport@altlinux.org> 1.0.1-alt2.M70T.1
- backport

* Wed Jan 15 2014 Cronport Service <cronport@altlinux.org> 1.0.1-alt1.M70T.1
- backport

* Thu Nov 17 2011 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by octave-package-builder

